Subject: [tsv-area] Talk on fairness at San Diego TSV-AREA mtg?

From: Bob Briscoe <[email-masked]>
Date: Wed, 11 Oct 2006 15:49:21 +0100

Lars, Magnus,

As I just said on the tsvwg list, could I have 15 mins (+15 mins questions) 
in the TSV-AREA mtg at San Diego to present an I-D on fairness (to be 
uploaded)? I suggest 15 mins is allowed for discussion because I will 
deconstruct ideas on fairness that many people hold dear.

So far, I have produced a draft I-D on why concepts of fairness used at the 
IETF (and in the wider community) are completely unrealistic and 
impractical. It's been the rounds of a half dozen friendly reviewers with 
comments back like "It's an extremely important contribution" and 
"magnificent paper". My aim has been to explain bluntly, without maths or 
complexity. But it isn't just an intellectual argument over the third 
decimal place of allocation percentages - if it were taken on board, fair 
allocations would be orders of magnitude different to what they are on the 
current Internet (exact allocations might depend on local fairness policy 
but what I say would be true on average).

A sub-aim is to answer Aaron Falk's question raised at the last tsvwg "What 
are you trying to achieve architecturally with re-ECN?" 
<draft-briscoe-tsvwg-re-ecn-tcp-02.txt>.

But the main aim is to nail misconceptions on fairness once and for all. To 
answer questions like: How many TCP flows is it fair to open between 
endpoints?

I show that fairness questions aren't even phrased in terms of the right 
things. It's not about fair allocation of rates to flows. Because flows 
aren't entities that we would expect to be fair to (and rate is the wrong 
thing to allocate anyway). As well as explaining what is wrong with the 
ideas behind TCP-Friendly rate control (TFRC - used in DCCP), the work has 
huge implications on hi-speed congestion control work like XCP.

What I intend to say isn't new - it's been around for 9 years now. But it's 
been seriously misunderstood. Once understood, the current approach taken 
by the Internet community looks daft (or to be charitable, it must at least 
justify its apparently preposterous position). But in practice, the 
Internet community has just sailed on by, not even realising its idea of 
fairness has been dealt an intellectual death blow.

Bob

>To: [email-masked]
>From: Bob Briscoe <[email-masked]>
>Subject: Re: [Tsvwg] Re: HEADS UP: agenda requests for San Diego
>Cc: tsvwg <[email-masked]>
>Bcc: ƒ\Charging\design\IN tsvwg
>
>Lars, Magnus, James,
>
>Concerning re-ECN...
>
>I'd like 10mins on draft-briscoe-tsvwg-re-ecn-tcp-03.txt (to be uploaded soon)
>
>Aim: To clarify the position of re-ECN wrt the ECN nonce, explaining the 
>response I gave to Sally on the list. Also we have some deltas to the 
>draft to explain.
>
>I have another request for an agenda slot, but I think it is more 
>appropriate for TSVAREA, so I will post a request on that list. It is to 
>answer Aaron Falk's question: "What are you trying to achieve 
>architecturally with re-ECN?"  Do you agree this should be TSVAREA?
>
>
>Bob
>
>>>>Please send agenda requests to [email-masked].
>>>Yep, above was the slot for IETF-66. We are in these slots in San Diego:
>>>     TUESDAY, November 7, 2006
>>>     1520-1720 Afternoon Session II
>>>     1740-1840 Afternoon Session III
>>>Sorry for the confusion.
>>
>>____________________________________________________________________________
>>Notice: This contribution is the personal view of the author and does not 
>>necessarily reflect the technical nor commercial direction of BT plc.
>>____________________________________________________________________________
>>Bob Briscoe,                           Networks Research Centre, BT Research
>>B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 645196
>
>____________________________________________________________________________
>Notice: This contribution is the personal view of the author and does not 
>necessarily reflect the technical nor commercial direction of BT plc.
>____________________________________________________________________________
>Bob Briscoe,                           Networks Research Centre, BT Research
>B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 645196

---

From: Lars Eggert <[email-masked]>
Date: Thu, 12 Oct 2006 09:10:02 +0900

Bob,

sure - sounds like an interesting topic exactly in scope for TSV-AREA.

Lars

On Oct 11, 2006, at 23:49, Bob Briscoe wrote:

> Lars, Magnus,
>
> As I just said on the tsvwg list, could I have 15 mins (+15 mins  
> questions) in the TSV-AREA mtg at San Diego to present an I-D on  
> fairness (to be uploaded)? I suggest 15 mins is allowed for  
> discussion because I will deconstruct ideas on fairness that many  
> people hold dear.
>
> So far, I have produced a draft I-D on why concepts of fairness  
> used at the IETF (and in the wider community) are completely  
> unrealistic and impractical. It's been the rounds of a half dozen  
> friendly reviewers with comments back like "It's an extremely  
> important contribution" and "magnificent paper". My aim has been to  
> explain bluntly, without maths or complexity. But it isn't just an  
> intellectual argument over the third decimal place of allocation  
> percentages - if it were taken on board, fair allocations would be  
> orders of magnitude different to what they are on the current  
> Internet (exact allocations might depend on local fairness policy  
> A sub-aim is to answer Aaron Falk's question raised at the last  
> tsvwg "What are you trying to achieve architecturally with re-ECN?"  
> But the main aim is to nail misconceptions on fairness once and for  
> all. To answer questions like: How many TCP flows is it fair to  
> open between endpoints?
>
> I show that fairness questions aren't even phrased in terms of the  
> right things. It's not about fair allocation of rates to flows.  
> Because flows aren't entities that we would expect to be fair to  
> (and rate is the wrong thing to allocate anyway). As well as  
> explaining what is wrong with the ideas behind TCP-Friendly rate  
> control (TFRC - used in DCCP), the work has huge implications on hi- 
> speed congestion control work like XCP.
>
> What I intend to say isn't new - it's been around for 9 years now.  
> But it's been seriously misunderstood. Once understood, the current  
> approach taken by the Internet community looks daft (or to be  
> charitable, it must at least justify its apparently preposterous  
> position). But in practice, the Internet community has just sailed  
> on by, not even realising its idea of fairness has been dealt an  
> intellectual death blow.
>
>
>
> Bob
>
>
>> Aim: To clarify the position of re-ECN wrt the ECN nonce,  
>> explaining the response I gave to Sally on the list. Also we have  
>> some deltas to the draft to explain.
>>
>> appropriate for TSVAREA, so I will post a request on that list. It  
>> is to answer Aaron Falk's question: "What are you trying to  
>> achieve architecturally with re-ECN?"  Do you agree this should be  
>> TSVAREA?
>>
>>
>> Bob
>>
>>> Notice: This contribution is the personal view of the author and  
>>> does not necessarily reflect the technical nor commercial  
>>> direction of BT plc.
>> Notice: This contribution is the personal view of the author and  
>> does not necessarily reflect the technical nor commercial  
>> direction of BT plc.

Lars
-- 
Lars Eggert                                     NEC Network Laboratories